%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define lib_api		0
%define lib_major	0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:		suil
Version:	0.8.2
Release:	%mkrel 1
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
Source:		http://download.drobilla.net/%{name}-%{version}.tar.xz
URL:		http://drobilla.net/software/%{name}/
License:		ISC License (ISC)
Group:		System/Libraries
Patch0:		suil-0.6.12-linking.patch
#-------------------------------------
BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	serd-devel
BuildRequires:	lv2-devel
BuildRequires:	gtk2-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(sratom-0)
#-------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------
%package -n %{lib_name}

Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}suil0 < 0.6.12-2

%description -n %{lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against suil.

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%package -n %{_lib}%{name}-qt4-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt4-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs

%files -n %{_lib}%{name}-qt4-in-gtk2
%defattr(-,root,root)
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt4_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-gtk2-in-qt4
Summary:	Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs

%files -n %{_lib}%{name}-gtk2-in-qt4
%defattr(-,root,root)
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt4.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-gtk2
%defattr(-,root,root)
%{_libdir}/%{name}-0/libsuil_x11_in_gtk2.so

#-----------------------------------
%package -n %{_lib}%{name}-x11-in-qt4
Summary:	Shared object for Qt4 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying X11 LV2 GUIs

%files -n %{_lib}%{name}-x11-in-qt4
%defattr(-,root,root)
%{_libdir}/%{name}-0/libsuil_x11_in_qt4.so

#-----------------------------------
%prep
%setup -q
%apply_patches

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--lv2dir=%{_libdir}/lv2
./waf -v

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Jun 13 2015 gseaman <galen.seaman at comcast.net> 0.8.2-1gseaman2015
- 0.8.2

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 0.6.12-1pclos2013
- imported package suil
